Create a Zone Lockdown rule
POST/zones/{zone_id}/firewall/lockdowns
Creates a new Zone Lockdown rule.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
The URLs to include in the current WAF override. You can use wildcards. Each entered URL will be escaped before use, which means you can only use simple wildcard patterns.
Create a Zone Lockdown rule
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/firewall/lockdowns \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"configurations": [
{}
],
"urls": [
"shop.example.com/*"
],
"description": "Prevent multiple login failures to mitigate brute force attacks",
"priority": 5
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "372e67954025e0ba6aaa6d586b9e0b59",
"configurations": [
{
"target": "ip",
"value": "198.51.100.4"
}
],
"created_on": "2014-01-01T05:20:00.12345Z",
"description": "Restrict access to these endpoints to requests from a known IP address",
"modified_on": "2014-01-01T05:20:00.12345Z",
"paused": false,
"urls": [
"api.mysite.com/some/endpoint*"
]
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "372e67954025e0ba6aaa6d586b9e0b59",
"configurations": [
{
"target": "ip",
"value": "198.51.100.4"
}
],
"created_on": "2014-01-01T05:20:00.12345Z",
"description": "Restrict access to these endpoints to requests from a known IP address",
"modified_on": "2014-01-01T05:20:00.12345Z",
"paused": false,
"urls": [
"api.mysite.com/some/endpoint*"
]
},
"success": true
}